searchNodes=[{"ref":"TelemetryWrappers.html","title":"TelemetryWrappers","type":"module","doc":"Documentation for TelemetryWrappers."},{"ref":"TelemetryWrappers.html#deftimed/3","title":"TelemetryWrappers.deftimed/3","type":"macro","doc":"Defines a function that will have its execution time measured and sent as a telemetry event. As an example you can define the following module defmodule TelemetryWrappers.Support.TestModule do use TelemetryWrappers deftimed timed_function(a, b), [:a, :b] do a + b end deftimed timed_function2(a, b) do a + b end end Then both functions will work as expected: iex&gt; TelemetryWrappers.Support.TestModule.timed_function(1, 2) 3 iex&gt; TelemetryWrappers.Support.TestModule.timed_function2(1, 2) 3 but it will also emit a :telemetry event [:a, :b] with the contents %{call: timing} where timing is the time the function took to execute in microseconds. The metric name is optional and will default to [:timing, name] where name is the name of the function (without arity). Note that type specs can still be defined for function defined with deftimed just as you would normally, e.g. @spec timed_function(number(), number()) :: number() deftimed timed_function(a, b), [:a, :b] do a + b end"},{"ref":"TelemetryWrappers.html#deftimedp/3","title":"TelemetryWrappers.deftimedp/3","type":"macro","doc":"Defines a private function that will have its execution time measured and sent as a telemetry event. In principle, same as deftimed/3 but defines a private function instead. As an example you can define the following module defmodule TelemetryWrappers.Support.TestModule do use TelemetryWrappers def invoke_private(a) do private_fun(a) end deftimedp(private_fun(a), [:something], do: a) end And then invoke the function: iex&gt; TelemetryWrappers.Support.TestModule.invoke_private(15) 15 which will also emit a :telemetry event [:something] with the contents %{call: timing} where timing is the time the function took to execute the private function in microseconds. The metric name is optional and will default to [:timing, name] where name is the name of the function (without arity), just like in deftimed/3"},{"ref":"readme.html","title":"TelemetryWrappers","type":"extras","doc":"TelemetryWrappers Simple wrapper functions for Telemetry to make taking some metrics a bit easier."},{"ref":"readme.html#function-timing","title":"TelemetryWrappers - Function timing","type":"extras","doc":"With Telemetry wrappers you can define a function that will have its execution time measured and sent as a :telemetry event. To use the wrappers simply include use TelemetryWrappers in your module You can then define a function using deftimed macro: deftimed timed_function(a, b), [:a, :b] do a + b end This will define a timed_function/2 function like you would expect from def but it will also emit a :telemetry event [:a, :b] with the contents %{call: timing} where timing is the time the function took to execute in microseconds. The metric name is optional and will default to [:timing, name] where name is the name of the function (without arity). If you would like to define a private function you can instead use deftimedp deftimedp timed_priv_function(a, b), [:a, :b] do a + b end"}]